--[[
BY
 _____   _____   __   _  
|  _  \ /  _  \ |  \ | | 
| | | | | | | | |   \| | 
| | | | | | | | | |\   | 
| |_| | | |_| | | | \  | 
|_____/ \_____/ |_|  \_| 

]]

local newstateopensecuritychest = GLOBAL.State{
    name = "opensecuritychest",
    tags = { "doing", "use" },
    onenter = function(inst)
        inst.components.locomotor:Stop()
		inst.SoundEmitter:PlaySound("dontstarve/wilson/make_trap", "make")
        inst.AnimState:PlayAnimation("build_pre")
        inst.AnimState:PushAnimation("build_loop", true)
    end,
    timeline =
    {
        GLOBAL.TimeEvent(9 * GLOBAL.FRAMES, function(inst)
			inst.SoundEmitter:KillSound("make")
			inst.AnimState:PlayAnimation("build_pst")
            inst:PerformBufferedAction()
        end),
    },
    events =
    {
        GLOBAL.EventHandler("animqueueover", function(inst)
            if inst.AnimState:AnimDone() then
                inst.sg:GoToState("idle")
            end
        end),
    },
}

AddStategraphState("wilson", newstateopensecuritychest)
AddStategraphState("wilson_client", newstateopensecuritychest)