--[[
BY
 _____   _____   __   _  
|  _  \ /  _  \ |  \ | | 
| | | | | | | | |   \| | 
| | | | | | | | | |\   | 
| |_| | | |_| | | | \  | 
|_____/ \_____/ |_|  \_| 

]]

local TUNING = GLOBAL.TUNING
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH


PrefabFiles = {
	"dontreasurechest"
}

Assets = {
	Asset("ATLAS", "images/inventoryimages/dontreasurechest.xml"),
	Asset("IMAGE", "images/inventoryimages/dontreasurechest.tex"),
}

AddMinimapAtlas("images/minimap/dontreasurechestmap.xml")


--langs:
if GetModConfigData("set_idioma_donchest") ~= nil then
	modimport("scripts/donfiles/langs/"..GetModConfigData("set_idioma_donchest")..".lua")
else
	modimport("scripts/donfiles/langs/lang_ING.lua")
end

modimport("scripts/donfiles/don_geral.lua")
modimport("scripts/donfiles/don_state.lua")
modimport("scripts/donfiles/don_action.lua")
modimport("scripts/donfiles/don_rpc.lua")
modimport("scripts/donfiles/don_recipe.lua")